Metrics Catalogue
GET
This endpoint lists all available metric IDs that can be used to fetch data in Get Metric Data
ApiKeyAuthheader
Authorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
Format
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The catalogue of metrics
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/analytics/metrics' \ -H 'Authorization: <API token>'{}
"data": []
{},
"id": "csat",
"description": "(Number of satisfied customers (4 and 5)/ Number of survey responses) x 100 = % of satisfied customers",
"filters": [],
{},
"filterAttribute": "agent_id",
"description": "Used to filter by the agent_id"
{},
"filterAttribute": "queue_id",
"description": "Used to filter by the queue_id"
{},
"filterAttribute": "channel",
"description": "Used to filter by the channel"
{},
"filterAttribute": "initial_direction",
"description": "Used to filter by the initial_direction"
{},
"filterAttribute": "tag_id",
"description": "Used to filter by the tag_id"
{}
"filterAttribute": "contact_point",
"description": "Used to filter by the contact_point"
"aggregations": [],
{}
"measure": "Percentage",
"description": "Calculated Percentage"
"relatedRecordIds": []
"ratings"
{}
"id": "closed_conversations",
"description": "Closed conversation data",
"filters": [],
{},
"filterAttribute": "queue_id",
"description": "Used to filter by the queue_id"
{},
"filterAttribute": "channel",
"description": "Used to filter by the channel"
{},
"filterAttribute": "initial_direction",
"description": "Used to filter by the initial_direction"
{},
"filterAttribute": "tag_id",
"description": "Used to filter by the tag_id"
{}
"filterAttribute": "contact_point",
"description": "Used to filter by the contact_point"
"aggregations": [],
{}
"measure": "Count",
"description": "Conversation closed count"
"relatedRecordIds": []
"closed_conversations"